=== debian/changelog ===
studio-controls (2.3.9-0ubuntu2~bpo22.04.1) jammy-backports; urgency=medium

  * No-change backport to jammy. (LP: #2012945)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 27 Mar 2023 07:56:17 -0700

studio-controls (2.3.9-0ubuntu2) lunar; urgency=medium

  * Demote pulseaudio-module-jack from depends to suggests

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 21 Jan 2023 14:05:50 -0800

studio-controls (2.3.9-0ubuntu1) lunar; urgency=medium

  [ Erich Eickmeyer ]
  * New upstream release 2.3.9
  * Remove obsolete d/postinst, d/prerm, and d/not-installed
  * d/rules: clean some comments
  * d/copyright: fix upstream

  [ Len Ovens ]
  * Do all governor setting from autojack not systemd
  * Do all Boost setting from autojack not systemd
  * Fixed makefile to reflect new desktop file name (issue #84)

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sun, 13 Nov 2022 06:57:40 -0800
